## tix 8.4.3

=== man/Makefile ===
# GNUmakefile --
#
#	This Makefile builds the HTML version
#	of the Tix man pages. You normally do not need to use this
#	Makefile, as all the HTML man pages are already included in
#	the Tix source distribution.
#
# Copyright (c) 2000-2001 Tix Project Group.
#
# See the file "license.terms" for information on usage and
# redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
# $Id: Makefile,v 1.2 2001/12/09 03:25:15 idiscovery Exp $

TCLSH		= tclsh
MAN2HTML	= ../tools/tix-man2html.tcl
UPDATEIDX	= ../tools/man2html-fixindex.tcl
NROFF_SRCS	= \
	TixIntro.n compound.n pixmap.n tix.n tixBalloon.n tixButtonBox.n \
	tixCheckList.n tixComboBox.n tixControl.n tixDestroy.n tixDirList.n \
	tixDirSelectDialog.n tixDirTree.n tixDisplayStyle.n \
	tixExFileSelectBox.n tixExFileSelectDialog.n tixFileEntry.n \
	tixFileSelectBox.n tixFileSelectDialog.n tixForm.n tixGetBoolean.n \
	tixGetInt.n tixGrid.n tixHList.n tixInputOnly.n \
	tixLabelEntry.n tixLabelFrame.n tixListNoteBook.n \
	tixMeter.n tixMwm.n tixNBFrame.n tixNoteBook.n tixOptionMenu.n \
	tixPanedWindow.n tixPopupMenu.n tixScrolledHList.n tixScrolledListBox.n \
	tixScrolledText.n tixScrolledWindow.n tixSelect.n tixStdButtonBox.n \
	tixTList.n tixTree.n tixUtils.n tixwish.1
    
all: html/contents.htm

html/contents.htm: ${NROFF_SRCS} ${MAN2HTML} ${UPDATEIDX} GNUmakefile
	${TCLSH} ${MAN2HTML} --htmldir=html --srcdir=../..
	${TCLSH} ${UPDATEIDX} html

distclean:
	-cd html; rm -rf *.htm *~ Keywords UserCmd
	-cd html; rm -rf TclCmd TclLib
	-cd html; rm -rf TkCmd TkLib
	-cd html; rm -rf TixCmd TixLib

test:
	env TEST_ONLY=true $(MAKE) all

full:
	env WITH_TCL_TK=true $(MAKE) all

=== debian/changelog ===
tix (8.4.3-7) unstable; urgency=medium

  * applied Artur Rona's patch (thanks Artur!), Closes: #778859, Closes: #722847 

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 26 Feb 2015 04:02:31 +0100

tix (8.4.3-6) unstable; urgency=medium

  * upgraded Standards-Version to 3.9.6
  * removed build-dependencies and dependencies on tcl/tk 8.5,
    replaced them with dependencies on tcl/tk 8.6
  * added a patch to fix "interp->result" bugs; this construct was
    deprecated in tcl8.5 and removed from tcl8.6; however the patch is just
    a workaround for now, since it adds "#define USE_INTERP_RESULT 1"
    before the "#include <tcl.h>"
  * changed the variable tk_version in debian/rules, to fit tk8.6
  * removed Conflicts clauses about packages which no longer exist

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 11 Nov 2014 12:10:19 +0100

tix (8.4.3-5) unstable; urgency=low

  * The current version is up to date with upstream. Closes: #433661
  * changed a dependency:instaed of dependending on tcl8.5|tclsh, the
    new dependency is on tcl(>=8.5.0), which provides tclsh, and depends
    in turn on tcl8.5(>=8.5.0), and in fact higher versions of tcl8.5
    when they are taken from jessie. Closes: #725697
  * As the current release has been downloaded from upstream in year 2010,
    as bug #214697 has been forwarded upstream, then tagged as fixed-upstream
    in 2008, as the original reporter did not send a working example for the
    bug since then, this presumably Closes: #214697
  * moved the file tix.tmac from the package tix to the package
    tix-dev, in order to make te man macros available in the same
    package than the manpages.
  * wrote into debian/TODO a few hints about a fix to send to lintian
    maintainers. The reason for it is that man macros are named tix.tmac
    and are stored in /usr/share/groff/1.22.2/tmac, which triggers a load
    of lintian warnings, since this path is not the usual path for groff
    macros.
  * reported a bug to lintian maintainers about this issue, with a patch
    to fix it.
  * upgraded Standards-Version to 3.9.5
  * removed articles from descriptions in debian/control
  * retitled the O bug in ITA. Closes: #395963

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 06 Jan 2014 18:17:24 +0100

tix (8.4.3-4) unstable; urgency=low

  * QA upload.
  * Remove tixwish manpages (Closes: #407212)
  * Fix permissions on /usr/share/tcltk/tcl8.5/Tix8.4.3/pref/WmDefault.tcl
  * Rename man macros to tic.tmac
  * Store tic.tmac in /usr/share/groff/1.20.1/tmac
  * Remove usr/share/tcltk/tcl8.5/Tix8.4.3/license.terms
  * Fix missing soname

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Mon, 12 Apr 2010 08:25:58 +0200

tix (8.4.3-3) unstable; urgency=low

  * QA upload.
  * Switch to 3.0 (quilt) source format.
  * Apply patch from Petr Salinger to build on kfreebsd-*. Closes: #575003.

 -- Santiago Vila <sanvila@debian.org>  Sun, 11 Apr 2010 19:38:00 +0200

tix (8.4.3-2) unstable; urgency=low

  * QA upload.
  * Set $dir to /usr/lib in pkgIndex.tcl
  * Move /usr/share/tix8.3 to /usr/share/tcltk/tk8.5/Tix8.4.3

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Mon, 15 Mar 2010 16:27:40 +0100

tix (8.4.3-1) unstable; urgency=low

  * QA upload.
  * New upstream release

  [Raphael Geissert]
  * Fix watch file (Closes: #449786)

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Fri, 12 Mar 2010 18:02:57 +0100

tix (8.4.0-7) unstable; urgency=low

  * QA upload.
  * Add ${shlibs:Depends} to tix's Depends line (Closes: #553241).

 -- Matt Kraai <kraai@debian.org>  Sat, 07 Nov 2009 04:43:20 -0800

tix (8.4.0-6) unstable; urgency=low

  * QA upload.
  * Install man.macros as /usr/share/tixman.macros. Fix all the manpages
    accordingly. (Closes: #394635).
  * Updated Standards version, to 3.7.2, no changes needed.
  * Ack previous NMUS (Closes: #360920, #366266, #374623, #359804).
  * Created debian/compat, at value 5.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Tue, 31 Oct 2006 08:44:36 +0100

tix (8.4.0-5) unstable; urgency=low

  * Orphan the package.

 -- Matthias Klose <doko@debian.org>  Sun, 29 Oct 2006 02:50:16 +0200
   

tix (8.4.0-4.3) unstable; urgency=low

  * Non-maintainer upload.
  * Modified debian/rules to manually install missing tix.h (Closes: #360920). 

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 21 Oct 2006 20:57:25 +0200

tix (8.4.0-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Applied patch by Petr Salinger to fix shared library building on
    GNU/kFreeBSD and GNU/Hurd (closes: #366266, #374623). 
  * Rerun aclocal and autoconf.

 -- Michael Banck <mbanck@debian.org>  Mon, 26 Jun 2006 18:49:10 +0200

tix (8.4.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Hack around the TEA autoconf macros to set a proper soname for the shared
    library. (Closes: #359804)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 10 Jun 2006 22:58:18 +0200

tix (8.4.0-4) unstable; urgency=low

  * Fix loading of Tix module (closes: #350816).

 -- Matthias Klose <doko@debian.org>  Fri, 10 Feb 2006 15:28:01 +0100

tix (8.4.0-3) unstable; urgency=low

  * Remove more debugging cruft (closes: #344657).

 -- Matthias Klose <doko@debian.org>  Fri, 30 Dec 2005 00:29:59 +0100

tix (8.4.0-2) unstable; urgency=low

  * debian/rules: Fix typo (closes: #344657).

 -- Matthias Klose <doko@debian.org>  Sat, 24 Dec 2005 14:21:41 +0100

tix (8.4.0-1) unstable; urgency=low

  * Rename as tix-8.4.0.
  * tclinclude/tcl.m4: Fix syntax error (closes: #343990).
  * Remove version information from package description (closes: #335673).

 -- Matthias Klose <doko@debian.org>  Sat, 24 Dec 2005 01:22:04 +0000

tix (8.4-2) unstable; urgency=low

  * Fix FTBFS on GNU/Hurd and GNU/kFreeBSD (closes: #335257).

 -- Matthias Klose <doko@debian.org>  Sun, 23 Oct 2005 12:46:43 +0000

tix (8.4-1) unstable; urgency=low

  * New upstream version.
  * Rename from tix8.1 to tix.



=== debian/control ===
Source: tix
Section: libs
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Standards-Version: 3.9.6
Build-Depends: tcl-dev, tk-dev, debhelper, perl, groff (>= 1.20.1)

Package: tix
Section: libs
Architecture: any
Depends: tcl (>= 8.6.0) | tclsh, ${shlibs:Depends}, ${misc:Depends}
Description: Tix library for Tk -- runtime package
 The Tix library for Tk extends Tk with new widgets like:
    o panned windows,
    o hierarchical lists,
    o folders,
    o combo boxes,
    o help balloons,
    o and many others.
 .
 The Tix look and feel is really good. Additionally, Tix eases construction
 of mega-widget and has a full-fledged C interface as well.

Package: tix-dev
Section: devel
Architecture: any
Depends: tix (= ${binary:Version}), tk-dev, tcl-dev,
 ${shlibs:Depends}, ${misc:Depends}
Description: Tix library for Tk -- development package
 The Tix library for Tk extends Tk with new widgets.
 .
 This package includes files, static libraries, man pages for Tix.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SHELL=/bin/bash

CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
groff_version=`groff -v| grep "groff version"| sed -e 's/GNU groff version //'`
tk_version = 8.6
tix_version = 8.4.3
soname=libTix$(tix_version).so.1

p_run	= tix
p_dev	= $(p_run)-dev

d_run	= debian/$(p_run)
d_dev	= debian/$(p_dev)

build: build-static build-shared

build-static: build-static-stamp
build-static-stamp:
	dh_testdir
	rm -rf build-static
	mkdir build-static
	cd build-static && ../configure \
	    CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
	    --prefix=/usr \
	    --mandir=\$${prefix}/share/man \
	    --disable-shared \
	    --with-tclconfig=/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(tk_version) \
	    --with-tclinclude=/usr/include/tcl$(tk_version)/tcl-private \
	    --with-tkconfig=/usr/lib/$(DEB_HOST_MULTIARCH)/tk$(tk_version) \
	    --with-tkinclude=/usr/include/tcl$(tk_version)/tk-private

	$(MAKE) -C build-static

	touch build-static-stamp

build-shared: build-shared-stamp
build-shared-stamp:
	dh_testdir
	rm -rf build-shared
	mkdir build-shared
	cd build-shared && ../configure \
	    CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
	    --prefix=/usr \
	    --mandir=\$${prefix}/share/man \
	    --enable-shared \
	    --with-tclconfig=/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(tk_version) \
	    --with-tclinclude=/usr/include/tcl$(tk_version)/tcl-private \
	    --with-tkconfig=/usr/lib/$(DEB_HOST_MULTIARCH)/tk$(tk_version) \
	    --with-tkinclude=/usr/include/tcl$(tk_version)/tk-private

	$(MAKE) -C build-shared \
		PKG_LIB_FILE=libTix$(tix_version).so.1 \
		LDFLAGS_DEFAULT="-Wl,-soname,$(soname),--export-dynamic"

	touch build-shared-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	rm -rf build-*
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	dh_installdirs -p$(p_run) \
		usr/lib \
		usr/share/man/man1 \
		usr/share/doc/$(p_run)
	dh_installdirs -p$(p_dev) \
		usr/lib \
		usr/include \
		usr/share/man/man3 \
		usr/share/doc/$(p_run) \
		usr/share/tix$(tix_version)

	: # Install the package
	$(MAKE) -C build-static install \
		DESTDIR=$(shell pwd)/$(d_run) \
		pkglibdir=/usr/lib/tix$(tix_version) \

	$(MAKE) -C build-shared install \
		DESTDIR=$(shell pwd)/$(d_run) \
		pkglibdir=/usr/lib/tix$(tix_version) \
		PKG_LIB_FILE=libTix$(tix_version).so.1 \

	: # install missing tix.h
	cp $(CURDIR)/generic/tix.h $(d_dev)/usr/include

	: # Move things around

	mv $(d_run)/usr/lib/tix$(tix_version)/*.so* $(d_run)/usr/lib/
	mv $(d_run)/usr/lib/tix$(tix_version)/*.a $(d_dev)/usr/lib/
	ln -sf libTix$(tix_version).so.1 \
		$(d_dev)/usr/lib/libTix$(tix_version).so

	mkdir -p $(d_run)/usr/share/tcltk/tcl$(tk_version)
	mv $(d_run)/usr/lib/tix$(tix_version) \
		$(d_run)/usr/share/tcltk/tcl$(tk_version)/Tix$(tix_version)
	ln -sf ../share/tcltk/tcl$(tk_version)/Tix$(tix_version) $(d_run)/usr/lib/Tix$(tix_version)

	sed -i -e '/^package/s/\$$dir/\$$dir ../' \
		$(d_run)/usr/share/tcltk/tcl$(tk_version)/Tix$(tix_version)/pkgIndex.tcl
	sed -i -e 's/\$$dir/\/usr\/lib/' \
		$(d_run)/usr/share/tcltk/tcl$(tk_version)/Tix$(tix_version)/pkgIndex.tcl

	rm  -f $(d_run)/usr/share/tcltk/tcl$(tk_version)/Tix$(tix_version)/license.terms

	install -m755 tools/tixindex $(d_run)/usr/bin/tixindex

	# remove tixwish man pages (close #407212)
	# cp -p man/tixwish.1 $(d_run)/usr/share/man/man1/
	cp -p debian/tixindex.1 $(d_run)/usr/share/man/man1/

	#  sed -i -e 's/man.macros/tixman.macros/g' $(d_run)/usr/share/man/man1/tixwish.1
	sed -i -e 's/.TH TIXINDEX/.TH TIX/g' $(d_run)/usr/share/man/man1/tixindex.1

	for i in man/*.n; do \
	  cp -p $$i $(d_dev)/usr/share/man/man3/`basename $$i .n`.3; \
	  sed -i -e 's/.so man.macros/.mso tix.tmac/g' $(d_dev)/usr/share/man/man3/`basename $$i .n`.3; \
	  perl -pi -e "s|\.TH \w+ n|\.TH TIX 3|g" $(d_dev)/usr/share/man/man3/`basename $$i .n`.3; \
	done

	rm -f $(d_run)/usr/lib/tix$(tix_version)/README.txt
	rm -f $(d_run)/usr/lib/tix$(tix_version)/license.terms
	rm -rf $(d_run)/usr/lib/tix$(tix_version)/html

	chmod ugo-x $(d_run)/usr/share/tcltk/tcl$(tk_version)/Tix$(tix_version)/pref/WmDefault.tcl

#	sed 's,-L[^ ]*,,' $(d_run)/usr/lib/tixConfig.sh \
#		> $(d_dev)/usr/share/tix$(tix_version)/tixConfig.sh
#	rm -f $(d_run)/usr/lib/tixConfig.sh

	: # Replace all '#!' calls to tclsh with /usr/bin/tclsh
	: # and make them executable
	for i in `find debian -mindepth 3 -type f`; do \
	  sed '1s,#!.*tclsh[^ ]*\(.*\),#! /usr/bin/tclsh\1,' \
		$$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done

	: # remove empty directories, when all components are in place
	for d in `find debian -depth -type d -empty 2> /dev/null`; do \
	    while rmdir $$d 2> /dev/null; do d=`dirname $$d`; done; \
	done


binary-indep: build
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: build install
	dh_testdir
	dh_testroot

	dh_installdocs -p$(p_run) \
		ABOUT.html README.txt \
		docs/pdf/TixUser.pdf \
		docs/FAQ.* docs/Files.txt \

	mkdir -p $(d_dev)/usr/share/doc/$(p_run)/
	cp -p docs/pdf/TixBook.pdf $(d_dev)/usr/share/doc/$(p_run)/
	ln -sf $(p_run) $(d_dev)/usr/share/doc/$(p_dev)
	mkdir -p $(d_dev)/usr/share/groff/$(groff_version)/tmac
	cp -p man/man.macros $(d_dev)/usr/share/groff/$(groff_version)/tmac/tix.tmac

	dh_installchangelogs -p$(p_run) ChangeLog

	dh_installexamples -p$(p_dev) demos/*

	dh_strip -a
	dh_link -a
	dh_compress -a -Xexamples -X.pdf -Xmacros
	dh_fixperms -a
	dh_makeshlibs -p$(p_run) -V 'tix (>= 8.4)'
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a


binary:	binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

#Local variables:
#mode: makefile
#End:
